cxoffice unter 64bit wheezy

Du kommst mit der Installation nicht voran oder willst noch was nachfragen? Schau auch in den "Tipps und Tricks"-Bereich.
Antworten
Benutzeravatar
hupfdule
Beiträge: 1860
Registriert: 09.12.2002 15:04:37
Wohnort: Berlin
Kontaktdaten:

cxoffice unter 64bit wheezy

Beitrag von hupfdule » 03.02.2013 14:09:24

Hi,

ich versuche cxoffice unter einem 64bit Wheezy zu installieren:

Code: Alles auswählen

$ sudo dpkg -i /tmp/ia32-crossover_11.3.1-1_amd64.deb 
Selecting previously unselected package ia32-crossover.
(Reading database ... 82197 files and directories currently installed.)
Unpacking ia32-crossover (from .../ia32-crossover_11.3.1-1_amd64.deb) ...
dpkg: dependency problems prevent configuration of ia32-crossover:
 ia32-crossover depends on libc6-i386; however:
  Package libc6-i386 is not installed.
 ia32-crossover depends on ia32-libs | ia32-apt-get; however:
  Package ia32-libs is not installed.
  Package ia32-apt-get is not installed.
 ia32-crossover depends on lib32gcc1; however:
  Package lib32gcc1 is not installed.
 ia32-crossover depends on lib32nss-mdns; however:
  Package lib32nss-mdns is not installed.
 ia32-crossover depends on lib32z1; however:
  Package lib32z1 is not installed.
 ia32-crossover depends on lib32asound2; however:
  Package lib32asound2 is not installed.

dpkg: error processing ia32-crossover (--install):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 ia32-crossover
Problem: ia32-lib ist bei Wheezy nicht mehr als reguläres Paket verfügbar. Im Internet findet man auch haufenweise Threads zu genau dem selben Problem für Debian und Ubuntu. Aber keine zufriedenstellende Lösung dafür.
Wie krieg ich das Paket denn nun installiert?

Benutzeravatar
towo
Beiträge: 2948
Registriert: 27.02.2007 19:49:44
Lizenz eigener Beiträge: GNU Free Documentation License

Re: cxoffice unter 64bit wheezy

Beitrag von towo » 03.02.2013 14:11:32

Multiarch aktivieren und das i386.deb von cxoffice installieren.

Benutzeravatar
hupfdule
Beiträge: 1860
Registriert: 09.12.2002 15:04:37
Wohnort: Berlin
Kontaktdaten:

Re: cxoffice unter 64bit wheezy

Beitrag von hupfdule » 03.02.2013 14:48:09

Danke. Multiarch habe ich bereits aktiviert mit

Code: Alles auswählen

dpkg --add-architecture i386
Auf die Idee, dann nur die 32bit-Version von cxoffice zu installieren, bin ich allerdings nicht gekommen...

Dennoch stoße ich auf ein Problem:

Code: Alles auswählen

$ sudo dpkg -i /tmp/crossover_11.3.1-1_i386.deb 
Selecting previously unselected package crossover.
(Reading database ... 82196 files and directories currently installed.)
Unpacking crossover (from .../crossover_11.3.1-1_i386.deb) ...
dpkg: dependency problems prevent configuration of crossover:
 crossover depends on libc6 (>= 2.3).
 crossover depends on libice6 | xlibs.
 crossover depends on libsm6 | xlibs.
 crossover depends on libx11-6 | xlibs.
 crossover depends on libxext6 | xlibs.
 crossover depends on libfreetype6.
 crossover depends on libz1.
 crossover depends on perl5-base.
 crossover depends on perl-modules.
 crossover depends on python (>= 2.4).
 crossover depends on python-gtk2.
 crossover depends on python-glade2.
 crossover depends on desktop-file-utils.
 crossover depends on libasound2.
 crossover depends on libgl1.
 crossover depends on libxrandr2.

dpkg: error processing crossover (--install):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 crossover
Im Normalfall würde ich jetzt

Code: Alles auswählen

apt-get -f install
ausführen, um die Abhängigkeiten zu installieren. Das führt aber zu folgendem:

Code: Alles auswählen

$ sudo apt-get -f install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  ant ant-optional discover-data dnsmasq-base fonts-lyx fonts-opensymbol fonts-sil-gentium
  fonts-sil-gentium-basic gcc-4.7-base:i386 gcj-4.7-base gcj-4.7-jre gcj-4.7-jre-headless
  gcj-4.7-jre-lib gcj-jre gcj-jre-headless gettext gir1.2-gnomebluetooth-1.0 git-man
  gnome-accessibility-themes gnome-themes-standard-data grub-pc-bin grub2-common hp-ppd
  icedtea-netx-common iceweasel-l10n-de iw java-common klibc-utils libapache-pom-java
  libatk-wrapper-java libatk-wrapper-java-jni libaudit0 libc6:i386 libc6-i686:i386 libcmis-0.2-0
  libcolamd2.7.1 libcommons-beanutils-java libcommons-collections3-java libcommons-compress-java
  libcommons-digester-java libcommons-logging-java libcommons-parent-java libdb-java libdb-je-java
  libdb5.1-java libdb5.1-java-jni libdiscover2 libexttextcat-data libexttextcat0 libfreetype6:i386
  libfs6 libgcc1:i386 libgcj-common libgcj13 libgcj13-awt libgettextpo0 libgnome-bluetooth10
  libgraphite2-2.0.0 libhsqldb-java libhyphen0 libicu4j-java libjaxp1.3-java libjim0debian2
  libjline-java libjtidy-java libklibc liblightdm-gobject-1-0 liblucene2-java libmtdev1
  libmythes-1.2-0 libneon27-gnutls libnetfilter-conntrack3 libnl-3-200 libnl-genl-3-200
  libnl-route-3-200 libnm-glib-vpn1 libnm-glib4 libnm-gtk-common libnm-gtk0 libnm-util2
  libpython2.7 libregexp-java libreoffice-l10n-de libservlet2.5-java libunistring0 libuuid1:i386
  libvisio-0.0-0 libwpd-0.9-9 libwpg-0.2-2 libwps-0.2-2 libx11-6:i386 libxalan2-java libxau6:i386
  libxcb-dri2-0 libxcb1:i386 libxdmcp6:i386 libxerces2-java libxext6:i386 libxfont1 libxkbfile1
  libxklavier16 libxml-commons-external-java libxml-commons-resolver1.1-java libxz-java
  lightdm-gtk-greeter lp-solve lxde lxtask manpages-de mobile-broadband-provider-info modemmanager
  obexd-client pcmciautils powertop rsync tcl tcl8.5 ttf-sil-gentium-basic tzdata-java uno-libs3
  ure usb-modeswitch usb-modeswitch-data wireless-regdb x11-apps x11-session-utils x11-xfs-utils
  x11-xkb-utils xsane-common zlib1g:i386
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  cdebconf gcc-4.7-base:i386 gcj-4.7-base gcj-4.7-jre gcj-4.7-jre-headless gcj-4.7-jre-lib gcj-jre
  gcj-jre-headless libc6:i386 libc6-i686:i386 libdebian-installer4 libfreetype6:i386 libgcc1:i386
  libgcj-common libgcj13 libgcj13-awt libperl4-corelibs-perl libtextwrap1 libx11-6:i386
  libxau6:i386 libxcb1:i386 libxdmcp6:i386 libxext6:i386 makedev zlib1g:i386
Suggested packages:
  cdebconf-gtk fastjar gcj-4.7-jdk gcj-jdk glibc-doc:i386 locales:i386 libgcj13-dbg
The following packages will be REMOVED:
  acpi-support adduser alsa-base apt-listchanges aptdaemon aspell aspell-de aspell-de-alt
  aspell-en at autopoint avahi-autoipd avahi-daemon bind9-host bluetooth bluez bluez-alsa
  bluez-cups bluez-gstreamer bsd-mailx ca-certificates ca-certificates-java chromium chromium-l10n
  colord console-setup console-setup-linux consolekit crda cron crossover:i386 cups cups-bsd
  cups-client cups-filters dbus dbus-x11 debconf-i18n default-jre default-jre-headless
  dictionaries-common discover dnsutils docbook-xml e17 elinks enchant exim4 exim4-base
  exim4-config exim4-daemon-light flashplugin-nonfree foomatic-db-engine foomatic-filters fuse
  gconf2 gcr ghostscript ghostscript-cups ghostscript-x gimp git git-gui gitk gksu gnome-bluetooth
  gnome-keyring gnome-themes-standard gpm grub-pc gstreamer0.10-gconf gstreamer0.10-plugins-bad
  gstreamer0.10-plugins-good gv gvfs gvfs-backends gvfs-daemons gvfs-fuse host hpijs hplip
  hunspell-de-at hunspell-de-ch hunspell-de-de hunspell-en-us hyphen-de hyphen-en-us
  icedtea-6-jre-cacao icedtea-6-jre-jamvm icedtea-netx ingerman initramfs-tools iputils-ping
  ispell keyboard-configuration libbind9-80 libbonoboui2-0 libcairo-perl libcanberra-gtk3-module
  libdns88 libecore-evas1 libecore-x1 libedje-bin libedje1 libenchant1c2a libencode-locale-perl
  liberror-perl libfile-basedir-perl libfile-copy-recursive-perl libfile-desktopentry-perl
  libfile-listing-perl libfile-mimeinfo-perl libfont-afm-perl libgdu0 libgksu2-0 libglib-perl
  libgnome2-0 libgnome2-common libgnomeui-0 libgnomevfs2-0 libgnomevfs2-common libgnomevfs2-extra
  libgs9 libgtk2-perl libhpmud0 libhtml-form-perl libhtml-format-perl libhtml-parser-perl
  libhtml-tagset-perl libhtml-tree-perl libhttp-cookies-perl libhttp-daemon-perl libhttp-date-perl
  libhttp-message-perl libhttp-negotiate-perl libimobiledevice2 libio-socket-ip-perl
  libio-socket-ssl-perl libisccfg82 liblocale-gettext-perl liblwp-mediatypes-perl
  liblwp-protocol-https-perl libmailtools-perl libnet-dbus-perl libnet-http-perl
  libnet-ssleay-perl libnss-mdns libpam-cap libpam-ck-connector libpam-gnome-keyring libpango-perl
  libpaper-utils libpaper1 libperl5.14 libreoffice libreoffice-base libreoffice-base-core
  libreoffice-calc libreoffice-common libreoffice-core libreoffice-draw libreoffice-emailmerge
  libreoffice-filter-binfilter libreoffice-filter-mobiledev libreoffice-gtk libreoffice-help-de
  libreoffice-help-en-us libreoffice-impress libreoffice-java-common libreoffice-math
  libreoffice-report-builder-bin libreoffice-style-galaxy libreoffice-style-tango
  libreoffice-writer libruby1.9.1 libsane libsane-hpaio libsasl2-modules libslp1 libsnmp15
  libsocket-perl libtext-charwidth-perl libtext-iconv-perl libtext-wrapi18n-perl
  libtie-ixhash-perl libtimedate-perl liburi-perl libutempter0 libuuid-perl libwebkitgtk-1.0-0
  libwww-perl libwww-robotrules-perl libx11-protocol-perl libxml-parser-perl libxml-twig-perl
  libxml-xpathengine-perl libxss1 libxvmc1 lightdm linux-base linux-image-3.2.0-4-amd64
  linux-image-amd64 mlocate mythes-de mythes-de-ch mythes-en-us network-manager
  network-manager-gnome nfs-common ntfs-3g openjdk-6-jre openjdk-6-jre-headless openjdk-6-jre-lib
  openssh-client openssh-server openssl opera pm-utils policykit-1 policykit-1-gnome
  popularity-contest powermgmt-base ppp printer-driver-c2050 printer-driver-foo2zjs
  printer-driver-gutenprint printer-driver-hpcups printer-driver-hpijs printer-driver-m2300w
  printer-driver-pnm2ppa printer-driver-postscript-hp printer-driver-ptouch printer-driver-pxljr
  printer-driver-sag-gdi printer-driver-splix python-aptdaemon python-aptdaemon.gtk3widgets
  python-gnome2 python-uno rarian-compat rpm ruby ruby1.9.1 rxvt-unicode samba-common-bin
  sane-utils screen sgml-base sgml-data software-properties-gtk ssl-cert sudo system-config-lvm
  system-config-printer task-desktop task-german task-german-desktop task-laptop task-lxde-desktop
  task-print-server task-ssh-server tasksel tasksel-data tig tk tk8.5 udev udisks update-inetd
  upower usbmuxd vim-addon-manager w3m wngerman wpasupplicant xfonts-100dpi xfonts-75dpi
  xfonts-base xfonts-encodings xfonts-mathml xfonts-scalable xfonts-utils xinit xml-core xorg
  xsane xscreensaver xscreensaver-data xserver-common xserver-xorg xserver-xorg-core
  xserver-xorg-input-all xserver-xorg-input-evdev xserver-xorg-input-synaptics
  xserver-xorg-input-wacom xserver-xorg-video-all xserver-xorg-video-apm xserver-xorg-video-ark
  xserver-xorg-video-ati xserver-xorg-video-chips xserver-xorg-video-cirrus
  xserver-xorg-video-fbdev xserver-xorg-video-i128 xserver-xorg-video-intel
  xserver-xorg-video-mach64 xserver-xorg-video-mga xserver-xorg-video-neomagic
  xserver-xorg-video-nouveau xserver-xorg-video-openchrome xserver-xorg-video-r128
  xserver-xorg-video-radeon xserver-xorg-video-rendition xserver-xorg-video-s3
  xserver-xorg-video-s3virge xserver-xorg-video-savage xserver-xorg-video-siliconmotion
  xserver-xorg-video-sis xserver-xorg-video-sisusb xserver-xorg-video-tdfx
  xserver-xorg-video-trident xserver-xorg-video-tseng xserver-xorg-video-vesa
  xserver-xorg-video-vmware xserver-xorg-video-voodoo xterm
The following NEW packages will be installed:
  cdebconf gcc-4.7-base:i386 gcj-4.7-base gcj-4.7-jre gcj-4.7-jre-headless gcj-4.7-jre-lib gcj-jre
  gcj-jre-headless libc6:i386 libc6-i686:i386 libdebian-installer4 libfreetype6:i386 libgcc1:i386
  libgcj-common libgcj13 libgcj13-awt libperl4-corelibs-perl libtextwrap1 libx11-6:i386
  libxau6:i386 libxcb1:i386 libxdmcp6:i386 libxext6:i386 makedev zlib1g:i386
0 upgraded, 25 newly installed, 325 to remove and 8 not upgraded.
1 not fully installed or removed.
Need to get 31.8 MB of archives.
After this operation, 1184 MB disk space will be freed.
Do you want to continue [Y/n]? 
Das entspricht jetzt nicht so ganz meiner Vorstellung...

Testweise habe ich es dennoch mit dem 64bit-Paket versucht:

Code: Alles auswählen

$ sudo apt-get -f install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following extra packages will be installed:
  freeglut3:i386 gcc-4.7-base:i386 ia32-libs ia32-libs-i386:i386 lesstif2:i386 lib32asound2
  lib32gcc1 lib32nss-mdns lib32z1 libacl1:i386 libaio1:i386 libasound2:i386 libasyncns0:i386
  libattr1:i386 libaudio2:i386 libaudiofile1:i386 libavahi-client3:i386 libavahi-common-data:i386
  libavahi-common3:i386 libbsd0:i386 libc6:i386 libc6-i386 libc6-i686:i386 libcaca0:i386
  libcap2:i386 libcomerr2:i386 libcups2:i386 libcurl3:i386 libdb5.1:i386 libdbus-1-3:i386
  libdirectfb-1.2-9:i386 libdrm-intel1:i386 libdrm-nouveau1a:i386 libdrm-radeon1:i386 libdrm2:i386
  libedit2:i386 libesd0:i386 libexif12:i386 libexpat1:i386 libffi5:i386 libflac8:i386
  libfltk1.1:i386 libfontconfig1:i386 libfreetype6:i386 libgcc1:i386 libgcrypt11:i386
  libgd2-xpm:i386 libgdbm3:i386 libgl1-mesa-dri:i386 libgl1-mesa-glx:i386 libglapi-mesa:i386
  libglu1-mesa:i386 libgnutls26:i386 libgpg-error0:i386 libgphoto2-2:i386 libgphoto2-port0:i386
  libgpm2:i386 libgssapi-krb5-2:i386 libice6:i386 libidn11:i386 libieee1284-3:i386
  libjack-jackd2-0:i386 libjbig0:i386 libjpeg62:i386 libjpeg8:i386 libjson0:i386 libk5crypto3:i386
  libkeyutils1:i386 libkrb5-3:i386 libkrb5support0:i386 liblcms1:i386 libldap-2.4-2:i386
  libltdl7:i386 liblzma5:i386 liblzo2-2:i386 libmpg123-0:i386 libncursesw5:i386 libnspr4:i386
  libnspr4-0d:i386 libnss3:i386 libnss3-1d:i386 libodbc1:i386 libogg0:i386 libopenal1:i386
  libp11-kit0:i386 libpam0g:i386 libpciaccess0:i386 libpng12-0:i386 libpopt0:i386 libpulse0:i386
  librtmp0:i386 libsamplerate0:i386 libsane:i386 libsane-extras:i386 libsasl2-2:i386
  libsasl2-modules:i386 libsdl1.2debian:i386 libselinux1:i386 libsigc++-2.0-0c2a:i386
  libslang2:i386 libsm6:i386 libsndfile1:i386 libsqlite3-0:i386 libssh2-1:i386 libssl1.0.0:i386
  libstdc++5:i386 libstdc++6:i386 libsvga1:i386 libsysfs2:i386 libtasn1-3:i386 libtdb1:i386
  libtiff4:i386 libtinfo5:i386 libts-0.0-0:i386 libusb-0.1-4:i386 libuuid1:i386 libv4l-0:i386
  libv4lconvert0:i386 libvorbis0a:i386 libvorbisenc2:i386 libvorbisfile3:i386 libwrap0:i386
  libx11-6:i386 libx11-xcb1:i386 libx86-1:i386 libxau6:i386 libxaw7:i386 libxcb-glx0:i386
  libxcb-render-util0:i386 libxcb-render0:i386 libxcb1:i386 libxcomposite1:i386 libxcursor1:i386
  libxdamage1:i386 libxdmcp6:i386 libxext6:i386 libxfixes3:i386 libxft2:i386 libxi6:i386
  libxinerama1:i386 libxml2:i386 libxmu6:i386 libxmuu1:i386 libxp6:i386 libxpm4:i386
  libxrandr2:i386 libxrender1:i386 libxslt1.1:i386 libxss1:i386 libxt6:i386 libxtst6:i386
  libxv1:i386 libxxf86vm1:i386 odbcinst odbcinst1debian2 odbcinst1debian2:i386 uuid-runtime
  xaw3dg:i386 zlib1g:i386
Suggested packages:
  ia32-libs-gtk ia32-libs-gtk-i386:i386 libasound2-plugins:i386 nas:i386 glibc-doc:i386
  locales:i386 pulseaudio-esound-compat:i386 rng-tools:i386 libgd-tools:i386 libglide3:i386
  gphoto2:i386 gtkam:i386 krb5-doc:i386 krb5-user:i386 jackd2:i386 liblcms-utils:i386
  libmyodbc:i386 odbc-postgresql:i386 tdsodbc:i386 unixodbc-bin:i386 libportaudio2:i386
  libroar-compat2:i386 libpam-doc:i386 pulseaudio:i386 hpoj:i386 hplip:i386
  libsasl2-modules-otp:i386 libsasl2-modules-ldap:i386 libsasl2-modules-sql:i386
  libsasl2-modules-gssapi-mit:i386 libsasl2-modules-gssapi-heimdal:i386
Recommended packages:
  uuid-runtime:i386 xml-core:i386
The following NEW packages will be installed:
  freeglut3:i386 gcc-4.7-base:i386 ia32-libs ia32-libs-i386:i386 lesstif2:i386 lib32asound2
  lib32gcc1 lib32nss-mdns lib32z1 libacl1:i386 libaio1:i386 libasound2:i386 libasyncns0:i386
  libattr1:i386 libaudio2:i386 libaudiofile1:i386 libavahi-client3:i386 libavahi-common-data:i386
  libavahi-common3:i386 libbsd0:i386 libc6:i386 libc6-i386 libc6-i686:i386 libcaca0:i386
  libcap2:i386 libcomerr2:i386 libcups2:i386 libcurl3:i386 libdb5.1:i386 libdbus-1-3:i386
  libdirectfb-1.2-9:i386 libdrm-intel1:i386 libdrm-nouveau1a:i386 libdrm-radeon1:i386 libdrm2:i386
  libedit2:i386 libesd0:i386 libexif12:i386 libexpat1:i386 libffi5:i386 libflac8:i386
  libfltk1.1:i386 libfontconfig1:i386 libfreetype6:i386 libgcc1:i386 libgcrypt11:i386
  libgd2-xpm:i386 libgdbm3:i386 libgl1-mesa-dri:i386 libgl1-mesa-glx:i386 libglapi-mesa:i386
  libglu1-mesa:i386 libgnutls26:i386 libgpg-error0:i386 libgphoto2-2:i386 libgphoto2-port0:i386
  libgpm2:i386 libgssapi-krb5-2:i386 libice6:i386 libidn11:i386 libieee1284-3:i386
  libjack-jackd2-0:i386 libjbig0:i386 libjpeg62:i386 libjpeg8:i386 libjson0:i386 libk5crypto3:i386
  libkeyutils1:i386 libkrb5-3:i386 libkrb5support0:i386 liblcms1:i386 libldap-2.4-2:i386
  libltdl7:i386 liblzma5:i386 liblzo2-2:i386 libmpg123-0:i386 libncursesw5:i386 libnspr4:i386
  libnspr4-0d:i386 libnss3:i386 libnss3-1d:i386 libodbc1:i386 libogg0:i386 libopenal1:i386
  libp11-kit0:i386 libpam0g:i386 libpciaccess0:i386 libpng12-0:i386 libpopt0:i386 libpulse0:i386
  librtmp0:i386 libsamplerate0:i386 libsane:i386 libsane-extras:i386 libsasl2-2:i386
  libsasl2-modules:i386 libsdl1.2debian:i386 libselinux1:i386 libsigc++-2.0-0c2a:i386
  libslang2:i386 libsm6:i386 libsndfile1:i386 libsqlite3-0:i386 libssh2-1:i386 libssl1.0.0:i386
  libstdc++5:i386 libstdc++6:i386 libsvga1:i386 libsysfs2:i386 libtasn1-3:i386 libtdb1:i386
  libtiff4:i386 libtinfo5:i386 libts-0.0-0:i386 libusb-0.1-4:i386 libuuid1:i386 libv4l-0:i386
  libv4lconvert0:i386 libvorbis0a:i386 libvorbisenc2:i386 libvorbisfile3:i386 libwrap0:i386
  libx11-6:i386 libx11-xcb1:i386 libx86-1:i386 libxau6:i386 libxaw7:i386 libxcb-glx0:i386
  libxcb-render-util0:i386 libxcb-render0:i386 libxcb1:i386 libxcomposite1:i386 libxcursor1:i386
  libxdamage1:i386 libxdmcp6:i386 libxext6:i386 libxfixes3:i386 libxft2:i386 libxi6:i386
  libxinerama1:i386 libxml2:i386 libxmu6:i386 libxmuu1:i386 libxp6:i386 libxpm4:i386
  libxrandr2:i386 libxrender1:i386 libxslt1.1:i386 libxss1:i386 libxt6:i386 libxtst6:i386
  libxv1:i386 libxxf86vm1:i386 odbcinst odbcinst1debian2 odbcinst1debian2:i386 uuid-runtime
  xaw3dg:i386 zlib1g:i386
0 upgraded, 159 newly installed, 0 to remove and 11 not upgraded.
1 not fully installed or removed.
Need to get 59.8 MB/64.4 MB of archives.
After this operation, 193 MB of additional disk space will be used.
Do you want to continue [Y/n]? 
Das sieht schon besser aus.

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 7 Gäste